jdebug Documentation: Class Debug

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger
Class Debug

    java.lang.Object
      |
      +--jde.debugger.Debug

public class Debug
extends java.lang.Object
implements Protocol

Debug.java

keeps state and has variables regarding the variable states

Explanation of debug levels: Debug.NONE: None Debug.APP_IO: Debug App I/O Debug.JDE_PIPE: Debug JDE-JDEbug pipe Debug.EVENTS: Debug Event receiving/sending Debug.EXCEPTION:Print stack trace on exception

Created: Thu Jul 8 13:03:25 1999

Since:
  0.1

Field Summary
`static int` | `APP_IO`
`static int` | `debug`
`static int` | `EVENTS`
`static int` | `EXCEPTION`
`static int` | `JDE_PIPE`
`static int` | `NONE`

Fields inherited from interface jde.debugger.Protocol
`ATTACH_SHMEM, ATTACH_SOCKET, BR, BREAK, CANCEL_TRACE_CLASSES, CANCEL_TRACE_METHODS, CANCEL_TRACE_THREADS, CLEAR, COMMAND_ERROR, COMMAND_RESULT, CONNECTED_TO_VM, DEBUG, ERROR, EVALUATE, EVENT_BREAKPOINT_HIT, EVENT_CLASS_PREPARE, EVENT_CLASS_UNLOAD, EVENT_EXCEPTION, EVENT_METHOD_ENTRY, EVENT_METHOD_EXIT, EVENT_OTHER, EVENT_STEP_COMPLETED, EVENT_THREAD_DEATH, EVENT_THREAD_START, EVENT_VM_DEATH, EVENT_VM_DISCONNECT, EVENT_VM_START, EVENT_WATCHPOINT_HIT, EVENTSET, EXIT, FINISH, GET_ARRAY, GET_LOADED_CLASSES, GET_LOCALS, GET_OBJECT, GET_OBJECT_MONITORS, GET_PATH_INFORMATION, GET_STRING, GET_THREAD, GET_THREADS, INTERRUPT, INVALID, JDE_BUG, JDE_INIT_DEBUG_SESSION, KILL_THREAD, LAUNCH, LISTEN_SHMEM, LISTEN_SOCKET, MESSAGE, QUIT, REPORT_IDS_IN_USE, RESUME, RUN, SPEC_RESOLVED, STEP, SUSPEND, TRACE_CLASSES, TRACE_EXCEPTIONS, TRACE_METHODS, TRACE_THREADS, WARNING, WATCH`

Constructor Summary
`Debug()`

Method Summary
`static void` | `printIf(java.lang.Exception ex)`
`static void` | `printIf(int val, double obj)`
`static void` | `printIf(int val, java.lang.Object obj)`
`static boolean` | `set(int val)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

### APP_IO

    public static final int APP_IO

### JDE_PIPE

    public static final int JDE_PIPE

### EVENTS

    public static final int EVENTS

### EXCEPTION

    public static final int EXCEPTION

### debug

    public static int debug

Constructor Detail

### Debug

    public Debug()

Method Detail

### printIf

    public static void printIf(java.lang.Exception ex)

### printIf

    public static void printIf(int val,
                               java.lang.Object obj)

### printIf

    public static void printIf(int val,
                               double obj)

### set

    public static boolean set(int val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD